<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserDetail extends Model
{
    use HasFactory;

    protected $table = 'user_details';

    protected $fillable = [
        'user_id',
        'sect_id',
        'education_id',
        'profession_id',
        'height_cm',
        'height_ft',
        'weight_kg',
        'weight_lbs',
        'marital_status_id',
        'wives',
        'children',
        'religious_practice',
        'dress_code_id',
        'smoking',
        'genetic_disease',
        'genetic_disease_id',
        'about',
    ];

    public function sect()
    {
        return $this->belongsTo(Sect::class);
    }

    public function education()
    {
        return $this->belongsTo(Education::class);
    }

    public function profession()
    {
        return $this->belongsTo(Profession::class);
    }

    public function maritalStatus()
    {
        return $this->belongsTo(MaritalStatus::class);
    }

    public function dressCode()
    {
        return $this->belongsTo(DressCode::class);
    }

    public function geneticDisease()
    {
        return $this->belongsTo(GeneticDisease::class);
    }

}